# Getestet mit Python 3.11.6 und PySide 6.5.3

import sys
import PySide6.QtGui as gui
import PySide6.QtWidgets as widgets

class MainWindow(widgets.QMainWindow):
    def __init__(self, parent: widgets.QWidget | None = None):  # Typangabe ": widgets.QWidget|None" gegen rote Kringel
        super().__init__(parent)
        fileMenu = self.menuBar().addMenu("&Datei")
        doSomethingAction = gui.QAction("Mach &etwas", self)
        doSomethingAction.setShortcut("Ctrl+M")
        fileMenu.addAction(doSomethingAction)  # Hier gibt es vielleicht noch unsinnige rote Kringel.
        doSomethingAction.triggered.connect(self.doSomething)
    def doSomething(self):
        self.setWindowTitle("Blah")

app = widgets.QApplication(sys.argv)
w = MainWindow()
w.show()
app.exec()